Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153935 - RFE: track libtool .la dependencies
Summary: RFE: track libtool .la dependencies
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On: 159221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 22:52 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 20:39:47 UTC


Attachments (Terms of Use)
libtool requires script (deleted)
2005-04-05 22:54 UTC, Nalin Dahyabhai
no flags Details
libtool provides script (deleted)
2005-04-05 22:54 UTC, Nalin Dahyabhai
no flags Details
revised libtool requires script (deleted)
2005-04-05 22:59 UTC, Nalin Dahyabhai
no flags Details

Description Nalin Dahyabhai 2005-04-05 22:52:34 UTC
Description of problem:
Libtool .la files which depend on other libtool .la files record those
dependencies as absolute pathnames.  For example, if liba.la depends on libb.la,
the path to libb.la (frequently /usr/lib/libb.la) is recorded in liba.la.  If
libb.la is removed during a package upgrade, then attempts to link with liba
using libtool will fail in a non-obvious way.  It would be useful if the RPM
configuration recorded this dependency information in packages so that it could
be tracked.

Version-Release number of selected component (if applicable):
8.0.34-1

How reproducible:
Always

Steps to Reproduce:
1. Remove /usr/lib/libxml2.la from your system, or move it elsewhere.
2. Verify that /usr/lib/libxmlsec1-openssl.la lists /usr/lib/libxml2.la in its
dependency_libs list.
3. Try to build a program using libtool:
   cat > foo.c << EOF
   int main(int argc, char **argv) { return 0; }
   EOF
   libtool --mode=compile --tag=CC cc -o foo.lo -c foo.c
   libtool --mode=link    --tag=CC cc -o foo foo.lo -lxmlsec1-openssl
  
Actual results:
libtool: link: cannot find the library `/usr/lib/libxml2.la'

Expected results:
(nothing)

Additional info:
A reproducer set of packages is
  libtool-1.5.14.multilib2-6
  libxml2-devel-2.6.19-1
  xmlsec1-openssl-devel-1.2.7-4

Comment 1 Nalin Dahyabhai 2005-04-05 22:54:26 UTC
Created attachment 112734 [details]
libtool requires script

Comment 2 Nalin Dahyabhai 2005-04-05 22:54:57 UTC
Created attachment 112735 [details]
libtool provides script

Comment 3 Nalin Dahyabhai 2005-04-05 22:59:15 UTC
Created attachment 112738 [details]
revised libtool requires script

Comment 4 Elliot Lee 2005-05-18 20:39:47 UTC
This probably should go into upstream RPM to be wired into the internal
dependency generator.

Comment 5 jens.koerber 2005-06-04 01:51:22 UTC
here's another case

*.mcopclass)
       for dep in `grep ^Library= "$possible" 2> /dev/null | \
               sed -r  -e "s,^Library='(.*)',\1,g"` ; do
...

Comment 6 Jeff Johnson 2005-07-13 12:11:37 UTC
Added to rpm-4_4 CVS. No plumbing yet ...


Note You need to log in before you can comment on or make changes to this bug.